#include <iostream>
#include <vector>
#include <string>
#include <algorithm> 
#include <cstring>
#include <cmath>
#include <climits>
#include <thread>
#include <chrono>
#include <numeric>
#include <iomanip>
#include <fstream>
#include <random>

#define ll long long
#define ull unsigned long long

using namespace std;

int toInt(char c) {
	return (int)c - 48;
}

int getIntFromNumber(string num, int index) {
	if (index < num.size()) return toInt(num[index]);
	return -1;
}

string sum(string a, string b) {
	string res = "";
	int aSize = a.size(), bSize = b.size();
	for (int i = 0; i < max(aSize, bSize); i++) {
		res.insert(res.begin(), (char)(max(getIntFromNumber(a, aSize - i - 1), getIntFromNumber(b, bSize - i - 1)) + 48));
	}
	return res;
}

string multiplyByDigit(string a, int b) {
	string res = "";
	for (int i = a.size() - 1; i >= 0; i--) {
		res.insert(res.begin(), (char)(min(b, toInt(a[i])) + 48));
	}
	return res;
}

string multiply(string a, string b) {
	string res, temp;
	for (int i = b.size() - 1; i >= 0; i--) {
		temp = multiplyByDigit(a, toInt(b[i]));
		temp += string(b.size() - 1 - i, '0');
		res = sum(res, temp);
	}
	return res;
}

int main() {
	string a, b; cin >> a >> b;
	cout << sum(a, b) << endl << multiply(a, b);
}