#include <iostream>
#include <vector>
#include <string>
#include <algorithm> 
#include <cstring>
#include <cmath>
#include <climits>
#include <thread>
#include <chrono>
#include <numeric>
#include <iomanip>
#include <fstream>
#include <random>

#define ll long long
#define ull unsigned long long

using namespace std;

int GCD(int a, int b) {
	for (int i = min(a, b); i >= 2; i--) if (a % i == 0 && b % i == 0) return i;
	return 1;
}

int main() {
	int a, b; cin >> a >> b;
	string res = "R";

	int gcd = GCD(a, b);
	a /= gcd;
	b /= gcd;

	int lA = 0, lB = 1, rA = 1, rB = 0;
	while (true) {
		int midA = lA + rA, midB = lB + rB;

		gcd = GCD(midA, midB);
		midA /= gcd;
		midB /= gcd;

		if ((midA > a && midB < b) || (midA < a && midB > b)) {
			cout << "no";
			return 0;
		}

		bool r;
		if (midA * b < midB * a) {
			r = true;
			lA = midA;
			lB = midB;
		}
		else {
			r = false;
			rA = midA;
			rB = midB;
		}

		if (midA == a && midB == b) {
			cout << res;
			return 0;
		}
		
		res += (r ? "R" : "L");
	}
}