#include <iostream>
#include <vector>
#include <string>
#include <algorithm> 
#include <cstring>
#include <cmath>
#include <climits>
#include <thread>
#include <chrono>
#include <numeric>
#include <iomanip>
#include <fstream>
#include <random>

#define ll long long
#define ull unsigned long long

using namespace std;

bool solve() {
	vector<int> sides(6);
	for (int i = 0; i < 6; i++) cin >> sides[i];

	sort(sides.begin(), sides.end());

	return sides[0] + sides[5] == sides[1] + sides[4] && sides[0] + sides[5] == sides[2] + sides[3];
}

int main() {
	int n; cin >> n;
	vector<bool> res(n);

	for (int i = 0; i < n; i++) res[i] = solve();
	for (bool b : res) cout << (b ? "yes" : "no") << endl;
}