#include <iostream>
#include <vector>
#include <string>
#include <algorithm> 
#include <cstring>
#include <cmath>
#include <climits>
#include <thread>
#include <chrono>
#include <numeric>
#include <iomanip>
#include <fstream>
#include <random>

#define ll long long
#define ull unsigned long long

using namespace std;

int getDistance(vector<pair<int, int>> points) {
	int res = 0;
	for (int i = 1; i < points.size(); i++) {
		res += abs(points[i - 1].first - points[i].first) + abs(points[i - 1].second - points[i].second);
	}
	return res;
}

int main() {
	int n; cin >> n;
	vector<pair<int, int>> points(n);
	for (int i = 0; i < n; i++) cin >> points[i].first >> points[i].second;
	cout << getDistance(points);
}